summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDave Reisner <dreisner@archlinux.org>2014-09-27 15:51:28 -0400
committerDave Reisner <dreisner@archlinux.org>2014-09-27 15:51:50 -0400
commit1672f8c375624bee127f1c14c33517e4d774c93e (patch)
treee0499c27077816b91381a3f7934db66ce6177877
parent2ea033741754afc08336f21055a04e4000ee22dd (diff)
downloadasp32-1672f8c375624bee127f1c14c33517e4d774c93e.tar.xz
set pull.rebase=true on new repo creation
This ought to save some people trouble if they choose to develop on the default created branch.
-rw-r--r--package.inc.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/package.inc.sh b/package.inc.sh
index d4e7a4e..aeea3ae 100644
--- a/package.inc.sh
+++ b/package.inc.sh
@@ -125,7 +125,9 @@ package_checkout() {
git branch -qf --no-track {,}"$remote/packages/$pkgname"
git clone "$ASPROOT" --single-branch --branch "$remote/packages/$pkgname" \
- "$startdir/$pkgname"
+ "$startdir/$pkgname" || return 1
+
+ git --git-dir="$startdir/$pkgname/.git" config pull.rebase true
}
package_get_repos_with_arch() {